# Need For Speed Hot Pursuit Remastered 1.0.3
# BID: 799D1061182C1302
# Thanks to theboy181 for finding instruction responsible for calculating frame time which I used to find where is FPS target stored

MASTER_WRITE:
  # Remove FPS Lock
  -
    type: asm_a64
    main_offset: 0x4835A4
    instructions: [
      [nop]
    ]
ALL_FPS:
  # Switch game to 60 FPS mode
  -
    type: write
    address: [MAIN, 0xF0043C]
    value_type: uint32
    value: 1
  # FPS Target
  -
    type: evaluate_write
    address: [MAIN, 0xED96A8, 0x30]
    address_unsafe: true
    value_type: uint32
    value: "19200000 / FPS_TARGET"
  -
    type: evaluate_write
    address: [MAIN, 0xED96A8, 0x28]
    address_unsafe: true
    value_type: uint32
    value: "1920000 / FPS_TARGET"
  # FPS 2D Game Speed Target
  -
    type: evaluate_write
    address: [MAIN, 0xEFFC60, 0x30]
    value_type: float
    value: "1 / FPS_TARGET"
  # FPS 3D Game Speed Target
  -
    type: evaluate_write
    address: [MAIN, 0xEFFC60, 0x50]
    value_type: float
    value: "1 / FPS_TARGET"
